#ifndef VIEW_EDIT_PROJECT_H
#define VIEW_EDIT_PROJECT_H
#include "../project_lib.h"
#include "../var.h"
class View_edit_project
{
private:
    Glib::RefPtr<Gtk::Builder> builder;
    Gtk::Window* wndQuotasEditProject;
    Gtk::Label* lblDeviceProjectEdit;
    Gtk::Label* lblEditDeviceProjectValue;
    Gtk::Label* lblStatusQuotaProjectEdit;
    Gtk::Label* lblStatusQuotaProjectValueEdit;
    Gtk::Label* lblCatalogProjectEdit;
    Gtk::Label* lblProjectIdEdit;
    Gtk::Label* lblProjectIdValueEdit;
    Gtk::Label* lblProjectNameEdit;
    Gtk::Label* quoteSizeFrameLabelProjectEdit;
    Gtk::Label* quoteFilesFrameLabelProjectEdit;
    Gtk::Label* quoteSizeCurrentlyLabelProjectEdit;
    Gtk::Label* quoteSizeSoftLimitLabelProjectEdit;
    Gtk::Label* quoteSizeHardLimitLabelProjectEdit;
    Gtk::Label* quoteFilesCurrentlyLabelProjectEdit;
    Gtk::Label* quoteFilesSoftLimitLabelProjectEdit;
    Gtk::Label* quoteFilesHardLimitLabelProject1;
    Gtk::Label* quoteFilesProjectEdit;
    Gtk::Label* quoteFiles1ProjectEdit;
    Gtk::CheckButton* quoteSizeSoftLimitCheckProjectEdit;
    Gtk::CheckButton* quoteSizeHardLimitCheckProjectEdit;
    Gtk::CheckButton* quoteFilesSoftLimitCheckProjectEdit;
    Gtk::CheckButton* quoteFilesHardLimitCheckProjectEdit;
    Gtk::SpinButton* quoteSizeSoftLimitSpinProjectEdit;
    Gtk::SpinButton* quoteSizeHardLimitSpinEdit;
    Gtk::SpinButton* quoteFilesSoftLimitSpinProjectEdit;
    Gtk::SpinButton* quoteFilesHardLimitSpinProjectEdit;
    Gtk::ComboBoxText* quoteSizeSoftLimitComboProjectEdit;
    Gtk::ComboBoxText* quoteSizeHardLimitComboProjectEdit;
    Gtk::Button* quoteSaveButtonEdit;
    Gtk::Button* quoteCancelButtonEdit;
    Gtk::Entry* entryProjectNameEditValue;
public:
    View_edit_project(/* args */);
    ~View_edit_project();
    void setting();
    void event();
    void show();
    void get_builder();
    void lacalization();
    void check_limit(Gtk::CheckButton *check_button, Gtk::SpinButton *spin, Gtk::ComboBoxText *combo_box);
    void check_limit(Gtk::CheckButton *check_button, Gtk::SpinButton *spin, Gtk::Label *combo_box);
    void fill_in_pow_memory(Gtk::ComboBoxText *cb_text);
    void close_wnd();
    void save();
};




#endif